# pybind_external_overload_docs.Class class

My fun class!

## Methods

def foo(self, index: int) -> None
  First overload
def foo(self, name: str) -> None
  Second overload

## Method documentation

### def pybind_external_overload_docs.Class.foo(self, index: int) -> None

First overload

Returns | Nothing at all.

Class methods don't have type annotation on self.

### def pybind_external_overload_docs.Class.foo(self, name: str) -> None

Second overload

And the fallback matching works there, too.